Zum Inhalt

Get Customer

Retrieve the properties and relationships of a Customer object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/customersWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a customer object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/customersWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "1d05383f-dcd8-ed11-a7cd-000d3a392f9f",
    "number": "10000",
    "displayName": "Möbel-Meller KG",
    "name2": "",
    "type": "Company",
    "addressLine1": "Tischlerstr. 4-10",
    "addressLine2": "",
    "city": "Düsseldorf",
    "state": "",
    "country": "",
    "postalCode": "48436",
    "phoneNumber": "",
    "mobilePhoneNumber": "",
    "email": "",
    "website": "",
    "searchName": "MÖBEL-MELLER KG",
    "balanceDue": 260201.46,
    "creditLimit": 0,
    "taxLiable": false,
    "taxAreaId": "93592a39-dcd8-ed11-a7cd-000d3a392f9f",
    "taxAreaDisplayName": "Inländ. Debitoren und Kreditoren",
    "taxRegistrationNumber": "789456278",
    "currencyId": "00000000-0000-0000-0000-000000000000",
    "currencyCode": "EUR",
    "paymentTermsId": "d1532a39-dcd8-ed11-a7cd-000d3a392f9f",
    "shipmentMethodId": "aa562a39-dcd8-ed11-a7cd-000d3a392f9f",
    "paymentMethodId": "00000000-0000-0000-0000-000000000000",
    "blocked": " ",
    "languageCode": "DEU",
    "responsibilityCenter": "DÜSSELDORF",
    "generalBusinessPostingGroupCode": "INLAND",
    "customerPostingGroup": "INLAND",
    "vatBusinessPostingGroup": "INLAND",
    "customerPriceGroup": "",
    "customerDiscoutGroup": "",
    "allowLineDiscount": true,
    "invoiceDiscountCode": "10000",
    "lastModifiedDateTime": "2023-04-12T02:48:01.08Z"
}

See also

Tips for working with the APIs
customer
Delete customer
Create customer
Update customer